package com.dgtly.system.service;

import com.dgtly.system.domain.SysUserQuit;
import java.util.List;

/**
 * 离职人员Service接口
 * 
 * @author dgtly
 * @date 2022-06-16
 */
public interface ISysUserQuitService 
{
    /**
     * 查询离职人员
     * 
     * @param createBy 离职人员ID
     * @return 离职人员
     */
    public SysUserQuit selectSysUserQuitById(String createBy);

    /**
     * 查询离职人员列表
     * 
     * @param sysUserQuit 离职人员
     * @return 离职人员集合
     */
    public List<SysUserQuit> selectSysUserQuitList(SysUserQuit sysUserQuit);

    /**
     * 新增离职人员
     * 
     * @param sysUserQuit 离职人员
     * @return 结果
     */
    public int insertSysUserQuit(SysUserQuit sysUserQuit);

    /**
     * 修改离职人员
     * 
     * @param sysUserQuit 离职人员
     * @return 结果
     */
    public int updateSysUserQuit(SysUserQuit sysUserQuit);

    /**
     * 批量删除离职人员
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSysUserQuitByIds(String ids);

    /**
     * 删除离职人员信息
     * 
     * @param createBy 离职人员ID
     * @return 结果
     */
    public int deleteSysUserQuitById(String createBy);
}
